[Hướng dẫn] Khắc phục lỗi Requested icu-uc trên DirectAdmin

  • Thursday 23/09/2021

Trong quá trinh cài đặt/nâng cấp PHP trên DirectAdmin nếu gặp lỗi “Requested icu-uc 50.1 but version of icu-uc is” thì đây là 1 lỗi liên quan đến version – phiên bản của icu-uckhông phù hợp do có thể là đã quá cũ và cần phải nâng cấp.

Bài viết này P.A Việt Nam sẽ hướng dẫn cách xử lý và khắc phục lỗi Requested icu-uc trên DirectAdmin một cách rất đơn giản cụ thể như sau:

Bước 1: SSH vào hệ thống máy chủ

Để khắc phục lỗi “Requested icu-uc 50.1 but version of icu-uc is”, đầu tiên chúng ta cần truy cập vào hệ thống máy chủ với quyền root cao nhất. Với Linux chúng ta sẽ sử dụng gia thức SSH để access vào hệ thống dưới quyền root. Nếu bạn chưa biết cách SSH vào VPS hoặc Server của bạn thì bạn có thể tham khảo bài viết hướng dẫn tại đây.

Bước 2: Kiểm tra version Custombuild

Để tiếp tục quá trình khắc phục lỗi Requested icu-uc trên DirectAdmin, chúng ta cần xem phiên bản CustomBuild đang sử dụng có phải là 2.x hay không bằng cách chạy lệnh:

cd /usr/local/directadmin/custombuild
./build version

Bước 3: Nâng cấp version icu-uc

Sử dụng lệnh:

cd /usr/local/directadmin/custombuild
./build update
./build icu

Bước 4: Kiểm tra version icu-uc

Sử dụng lệnh:

php -i | grep "ICU version"

Mọi chi tiết khác cần hỗ trợ, vui lòng gửi yêu cầu về kythuat@pavietnam.vn hoặc hotline 19009477 ext: 2

P.A Việt Nam cung cấp đa dạng các cấu hình Máy Chủ Ảo và Máy Chủ Riêng
Cloud Server
Cloud Server Pro
Máy Chủ Riêng

Tham khảo các ưu đãi: https://www.pavietnam.vn/vn/tin-khuyen-mai/

Xem thêm các hướng dẫn khác liên quan đến VPS/Server tại đây.